Functions
Functions
Peripheral Driver » LL Driver » BOD Module Driver

## Functions
__STATIC_INLINE void | ll_bod_bod_enable (void)
| Enable the bod. More...
__STATIC_INLINE void | ll_bod_bod_disable (void)
| Disable the bod. More...
__STATIC_INLINE void | ll_bod_bod2_enable (void)
| Enable the bod2. More...
__STATIC_INLINE void | ll_bod_bod2_disable (void)
| Disable the bod2. More...
__STATIC_INLINE void | ll_bod_bod2_lvl_ctrl_lv_set (uint8_t lvl_ctrl_lv)
| Set bod control level. More...
__STATIC_INLINE void | ll_bod_static_enable (void)
| enable bod static lv More...
__STATIC_INLINE void | ll_bod_static_disable (void)
| disable bod static lv More...
__STATIC_INLINE void | ll_bod_bod2_auto_power_bypass_enable (void)
| Enable the bod2 auto power bypass. More...
__STATIC_INLINE void | ll_bod_bod2_auto_power_bypass_disable (void)
| Disable the bod2 auto power bypass. More...
__STATIC_INLINE uint32_t | ll_bod_bod2_is_active_flag_bod_ok (void)
| Indicate if the BOD Power Flag is set or not. More...
__STATIC_INLINE uint32_t | ll_bod_bod2_is_active_flag_bod2_pwr_ctrl_post (void)
| Indicate if the BOD2 Power Flag is set or not. More...
__STATIC_INLINE uint32_t | ll_bod_bod2_is_active_flag_pmu_bod_intr (void)
| Indicate if the BOD INTR Flag is set or not. More...
__STATIC_INLINE void | ll_bod_bod2_enable_fedge (void)
| enable BOD FEDGE Event. More...
__STATIC_INLINE void | ll_bod_bod2_disable_fedge (void)
| disable BOD FEDGE Event. More...
__STATIC_INLINE void | ll_bod_bod2_enable_redge (void)
| enable BOD REDGE Event. More...
__STATIC_INLINE void | ll_bod_bod2_disable_redge (void)
| disable BOD REDGE Event. More...
__STATIC_INLINE uint32_t | ll_bod_bod2_is_active_flag_fedge (void)
| Indicate if the BOD FEDGE Event Flag is set or not. More...
__STATIC_INLINE void | ll_bod_bod2_clear_flag_fedge (void)
| Clear Interrupt Status flag. More...
__STATIC_INLINE uint32_t | ll_bod_bod2_is_active_flag_redge (void)
| Indicate if the BOD REDGE Event Flag is set or not. More...
__STATIC_INLINE void | ll_bod_bod2_clear_flag_redge (void)
| Clear Interrupt Status flag. More...
void | ll_bod_deinit (void)
| De-initialize the BOD registers to their default reset values. More...
void | ll_bod_init (const ll_bod_init_t *p_bod_init)
| Initialize the BOD registers according to the specified parameters in p_bod_init. More...
void | ll_bod_struct_init (ll_bod_init_t *p_bod_init)
| Set each field of a p_bod_init type structure to default value. More...

## Detailed Description

## Function Documentation

## ◆ ll_bod_bod2_auto_power_bypass_disable()

__STATIC_INLINE void ll_bod_bod2_auto_power_bypass_disable | ( | void |  | ) |

Disable the bod2 auto power bypass.

Register|BitsName --------|-------- RF_REG_3 | bod2_auto_power_bypass_enable

Definition at line 303 of file ll_bod.h.

## ◆ ll_bod_bod2_auto_power_bypass_enable()

__STATIC_INLINE void ll_bod_bod2_auto_power_bypass_enable | ( | void |  | ) |

Enable the bod2 auto power bypass.

Register|BitsName --------|-------- RF_REG_3 | bod2_auto_power_bypass_enable

Definition at line 286 of file ll_bod.h.

## ◆ ll_bod_bod2_clear_flag_fedge()

__STATIC_INLINE void ll_bod_bod2_clear_flag_fedge | ( | void |  | ) |

Clear Interrupt Status flag.

Register|BitsName --------|-------- AON_IRQ| AON_CTL_AON_IRQ_PMU_BOD_FALL

Return values

  None |

Definition at line 434 of file ll_bod.h.

References AON_CTL.

## ◆ ll_bod_bod2_clear_flag_redge()

__STATIC_INLINE void ll_bod_bod2_clear_flag_redge | ( | void |  | ) |

Clear Interrupt Status flag.

Register|BitsName --------|-------- AON_IRQ| AON_CTL_AON_IRQ_PMU_BOD_RISE

Return values

  None |

Definition at line 462 of file ll_bod.h.

References AON_CTL.

## ◆ ll_bod_bod2_disable()

__STATIC_INLINE void ll_bod_bod2_disable | ( | void |  | ) |

Disable the bod2.

Register|BitsName --------|-------- RF_REG_3 | bod2_en_lv

Definition at line 218 of file ll_bod.h.

## ◆ ll_bod_bod2_disable_fedge()

__STATIC_INLINE void ll_bod_bod2_disable_fedge | ( | void |  | ) |

disable BOD FEDGE Event.

Register|BitsName --------|-------- AON_IRQ | AON_CTL_AON_IRQ_EN_PMU_BOD_FALL

Return values

  State | of bit (1 or 0).

Definition at line 378 of file ll_bod.h.

References AON_CTL.

## ◆ ll_bod_bod2_disable_redge()

__STATIC_INLINE void ll_bod_bod2_disable_redge | ( | void |  | ) |

disable BOD REDGE Event.

Register|BitsName --------|-------- AON_IRQ | AON_CTL_AON_IRQ_EN_PMU_BOD_RISE

Return values

  State | of bit (1 or 0).

Definition at line 406 of file ll_bod.h.

References AON_CTL.

## ◆ ll_bod_bod2_enable()

__STATIC_INLINE void ll_bod_bod2_enable | ( | void |  | ) |

Enable the bod2.

Register|BitsName --------|-------- RF_REG_3 | bod2_en_lv

Definition at line 201 of file ll_bod.h.

## ◆ ll_bod_bod2_enable_fedge()

__STATIC_INLINE void ll_bod_bod2_enable_fedge | ( | void |  | ) |

enable BOD FEDGE Event.

Register|BitsName --------|-------- AON_IRQ | AON_CTL_AON_IRQ_EN_PMU_BOD_FALL

Return values

  State | of bit (1 or 0).

Definition at line 364 of file ll_bod.h.

References AON_CTL.

## ◆ ll_bod_bod2_enable_redge()

__STATIC_INLINE void ll_bod_bod2_enable_redge | ( | void |  | ) |

enable BOD REDGE Event.

Register|BitsName --------|-------- AON_IRQ | AON_CTL_AON_IRQ_EN_PMU_BOD_RISE

Return values

  State | of bit (1 or 0).

Definition at line 392 of file ll_bod.h.

References AON_CTL.

## ◆ ll_bod_bod2_is_active_flag_bod2_pwr_ctrl_post()

__STATIC_INLINE uint32_t ll_bod_bod2_is_active_flag_bod2_pwr_ctrl_post | ( | void |  | ) |

Indicate if the BOD2 Power Flag is set or not.

Register|BitsName --------|-------- RF_REG_3 | bod2_pwr_ctrl_post

Return values

  State | of bit (1 or 0).

Definition at line 335 of file ll_bod.h.

## ◆ ll_bod_bod2_is_active_flag_bod_ok()

__STATIC_INLINE uint32_t ll_bod_bod2_is_active_flag_bod_ok | ( | void |  | ) |

Indicate if the BOD Power Flag is set or not.

Register|BitsName --------|-------- RF_REG_3 | pmu_bod_ok

Return values

  State | of bit (1 or 0).

Definition at line 321 of file ll_bod.h.

## ◆ ll_bod_bod2_is_active_flag_fedge()

__STATIC_INLINE uint32_t ll_bod_bod2_is_active_flag_fedge | ( | void |  | ) |

Indicate if the BOD FEDGE Event Flag is set or not.

Register|BitsName --------|-------- AON_IRQ | AON_CTL_AON_IRQ_PMU_BOD_FALL

Return values

  State | of bit (1 or 0).

Definition at line 420 of file ll_bod.h.

References AON_CTL.

## ◆ ll_bod_bod2_is_active_flag_pmu_bod_intr()

__STATIC_INLINE uint32_t ll_bod_bod2_is_active_flag_pmu_bod_intr | ( | void |  | ) |

Indicate if the BOD INTR Flag is set or not.

Register|BitsName --------|-------- RF_REG_3 | pmu_bod_intr

Return values

  State | of bit (1 or 0).

Definition at line 349 of file ll_bod.h.

## ◆ ll_bod_bod2_is_active_flag_redge()

__STATIC_INLINE uint32_t ll_bod_bod2_is_active_flag_redge | ( | void |  | ) |

Indicate if the BOD REDGE Event Flag is set or not.

Register|BitsName --------|-------- AON_IRQ | AON_CTL_AON_IRQ_PMU_BOD_RISE

Return values

  State | of bit (1 or 0).

Definition at line 448 of file ll_bod.h.

References AON_CTL.

## ◆ ll_bod_bod2_lvl_ctrl_lv_set()

__STATIC_INLINE void ll_bod_bod2_lvl_ctrl_lv_set | ( | uint8_t | lvl_ctrl_lv | ) |

Set bod control level.

Register|BitsName --------|-------- RF_REG_3 | bod_lvl_ctrl_lv_3_0

Parameters

  lvl_ctrl_lv | 0x0 ~ 0xF

Definition at line 235 of file ll_bod.h.

## ◆ ll_bod_bod_disable()

__STATIC_INLINE void ll_bod_bod_disable | ( | void |  | ) |

Disable the bod.

Register|BitsName --------|-------- RF_REG_3 | bod_en_lv

Definition at line 184 of file ll_bod.h.

## ◆ ll_bod_bod_enable()

__STATIC_INLINE void ll_bod_bod_enable | ( | void |  | ) |

Enable the bod.

Register|BitsName --------|-------- RF_REG_3 | bod_en_lv

Definition at line 167 of file ll_bod.h.

## ◆ ll_bod_deinit()

void ll_bod_deinit | ( | void |  | ) |

De-initialize the BOD registers to their default reset values.

Return values

  An | error_status_t enumeration value: SUCCESS: PDM registers are de-initialized ERROR: PDM registers are not de-initialized

## ◆ ll_bod_init()

void ll_bod_init | ( | const ll_bod_init_t * | p_bod_init | ) |

Initialize the BOD registers according to the specified parameters in p_bod_init.

Parameters

  p_bod_init | pointer to a ll_bod_init_t structure.

Return values

  An | error_status_t enumeration value: SUCCESS: BOD registers are initialized ERROR: Not applicable

## ◆ ll_bod_static_disable()

__STATIC_INLINE void ll_bod_static_disable | ( | void |  | ) |

disable bod static lv

Register|BitsName --------|-------- RF_REG_3 | bod_static_lv

Definition at line 269 of file ll_bod.h.

## ◆ ll_bod_static_enable()

__STATIC_INLINE void ll_bod_static_enable | ( | void |  | ) |

enable bod static lv

Register|BitsName --------|-------- RF_REG_3 | bod_static_lv

Definition at line 253 of file ll_bod.h.

## ◆ ll_bod_struct_init()

void ll_bod_struct_init | ( | ll_bod_init_t * | p_bod_init | ) |

Set each field of a p_bod_init type structure to default value.

Parameters

  p_bod_init | Pointer to a ll_bod_init_t structure whose fields will be set to default values.

Return values

  None |